Subject: Re: HF modem support

From: Rafael Diniz <[email-masked]>
Date: Tue, 17 Mar 2026 23:53:07 +0000

I hit a road block here.

The first package of NNCP protocol will take 65280 bytes? I can see 
there is some padding involved. 64 kB will never be feasible in HF for a 
handshake (most of our payloads are at most 10 kB, for "large" files, 
like pictures). Is there any sensible approach to reduce this, without 
completely breaking the security (we're using UUCP, so anything better 
than nothing is better already).

I'm hammering a bit the code, but better I understand a bit the protocol 
before I do something very wrong. Which is a good reference to start with?

- Rafael

On 3/16/26 2:13 AM, Rafael Diniz wrote:
> Yay! Thanks Sergey!
> 
> NNCP rocks!
> 
> As I'm just starting with real testing, with radios on dummy loads for 
> now, I expect fixes / improvements to come. It is not really working yet.
> 
> nncp-call -autotoss estacao2
> vara.go:246: hfmodem: ctrl: OK
> vara.go:246: hfmodem: ctrl: OK
> vara.go:246: hfmodem: ctrl: OK
> vara.go:246: hfmodem: ctrl: OK
> vara.go:246: hfmodem: ctrl: OK
> vara.go:246: hfmodem: ctrl: OK
> 2026-03-16T02:02:21Z ERROR Calling estacao2 (mercury://127.0.0.1:8300/ 
> PU2UIT-2?mycall=PU2UIT-3&bw=2300&ptt=hermes): connection to PU2UIT-2 failed
> 
> Modem calls, I see signal on air, not that bad for a first try of the 
> code. I'll start working on it this week.
> 
> Sergey, Can I just keep doing what I'm doing to send commits?
> 
> I'll maintain some debian builds of this, as I need arm64 and amd64 
> packages to test (John, these are hackish debian packages, I'm build 
> with go own cross-compilation capabilities, nothing to do with your 
> great official upstream ones):
> https://debian.hermes.radio/
> 
> Cheers!
> Rafael
> 
> On 3/15/26 8:23 AM, Sergey Matveev wrote:
>> Greetings!
>>
>> *** Rafael Diniz [2026-03-12 23:30]:
>>> I did a very early draft (without broadcast support, without many 
>>> things,
>>> untested, ai generated) on how we could connect NNCP to a VARA- 
>>> compatible
>>> modem (like our Mercury modem), just to start the conversation: [...]
>>
>> Code looks good, should not break anything. Merged it into "develop"
>> branch. Unfortunately can not check anything from that, too far from
>> those topics. Cool. Thank you!
>>
>